org.eclipse.ease.lang.unittest.ui.editor

## Class AbstractEditorPage

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.EditorPart
      - - org.eclipse.ui.forms.editor.FormPage
        - - org.eclipse.ease.lang.unittest.ui.editor.AbstractEditorPage

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IFormPage, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

Direct Known Subclasses:
  CustomCodePage, FileSelectionPage, OverviewPage, VariablesPage

    public abstract class AbstractEditorPage
    extends FormPage

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEditorPage(FormEditor editor, java.lang.String id, java.lang.String title)` Create the form page.
`AbstractEditorPage(java.lang.String id, java.lang.String title)` Create the form page.

### Method Summary

All Methods Instance Methods Concrete Methods
`TestSuiteEditor` `getEditor()`
`IEditorInput` `getEditorInput()`

### Methods inherited from class org.eclipse.ui.forms.editor.FormPage

`canLeaveThePage, createPartControl, dispose, doSave, doSaveAs, getId, getIndex, getManagedForm, getPartControl, getTitleImage, init, initialize, isActive, isDirty, isEditor, isSaveAsAllowed, selectReveal, setActive, setFocus, setIndex`

### Methods inherited from class org.eclipse.ui.part.EditorPart

`getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IEditorPart

`getEditorSite`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleToolTip, removePropertyListener`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.ISaveablePart

`isSaveOnCloseNeeded`

### Constructor Detail

#### AbstractEditorPage

    public AbstractEditorPage(java.lang.String id,
                              java.lang.String title)

Create the form page.

Parameters:
  `id` -
  `title` -

#### AbstractEditorPage

    public AbstractEditorPage(FormEditor editor,
                              java.lang.String id,
                              java.lang.String title)

Create the form page.

Parameters:
  `editor` -
  `id` -
  `title` -

### Method Detail

#### getEditor

    public TestSuiteEditor getEditor()

Specified by:
  `getEditor` in interface `IFormPage`
Overrides:
  `getEditor` in class `FormPage`

#### getEditorInput

    public IEditorInput getEditorInput()

Specified by:
  `getEditorInput` in interface `IEditorPart`
Overrides:
  `getEditorInput` in class `EditorPart`